> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Order with Payment Reference

> Get order details with payment reference



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml get /products/orders/publicKey/SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u/paymentReference/0w0eimkizc41602513327447
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /products/orders/publicKey/SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u/paymentReference/0w0eimkizc41602513327447:
    get:
      tags:
        - ORDER CHECKOUT
      summary: Get an Order with Payment Reference
      description: Get order details with payment reference
      operationId: GetOrderByPublicKeyAndPaymentReference
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetOrderByPublicKeyAndPaymentReference201Response
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              examples:
                401Response:
                  $ref: '#/components/examples/401Response'
        '403':
          description: Missing Header Token
          content:
            application/json:
              schema:
                type: object
              examples:
                CreateOrder403Response:
                  $ref: '#/components/examples/Order403Response'
                403Response:
                  $ref: '#/components/examples/403Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
                CreateOrder400Response2:
                  $ref: '#/components/examples/Order404Response2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    GetOrderByPublicKeyAndPaymentReference201Response:
      title: GetOrderByPublicKeyResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: '00'
          message: Successful
          products:
            - amount: 100
              currency: NGN
              productId: 1089162
              productDescription: FODD ITEM UPDATE
              paymentReference: 0w0eimkizc41602513327447
              orderId: wil0f47b62
              createdAt: '2020-10-12T15:38:28.000Z'
              updatedAt: '2020-10-17T21:56:54.000Z'
            - amount: 300
              currency: NGN
              productId: 1089162
              productDescription: FODD ITEM UPDATE
              paymentReference: 0w0eimkizc41602513327447
              orderId: wil0f47b62
              createdAt: '2020-10-12T15:38:29.000Z'
              updatedAt: '2020-10-17T21:56:54.000Z'
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    401Response:
      summary: An example of 401 response payload
      value:
        message: Invalid Authentication Token
        error: INPUT
    Order403Response:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    Order404Response2:
      summary: An example of 404 response payload
      value:
        message: Orders Not Found
        error: NOT_FOUND
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.